ArjArchiveEntry.HostOs
Date: 2017-02-08

org.apache.commons.compress.archivers.arj

## Class ArjArchiveEntry.HostOs

- java.lang.Object
- - org.apache.commons.compress.archivers.arj.ArjArchiveEntry.HostOs

- Enclosing class:
    ArjArchiveEntry

      public static class ArjArchiveEntry.HostOs
      extends java.lang.Object

  The known values for HostOs.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AMIGA`
    `static int` | `APPLE_GS`
    `static int` | `ATARI_ST`
    `static int` | `DOS`
    `static int` | `MAC_OS`
    `static int` | `NEXT`
    `static int` | `OS_2`
    `static int` | `PRIMOS`
    `static int` | `UNIX`
    `static int` | `VAX_VMS`
    `static int` | `WIN32`
    `static int` | `WIN95`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArjArchiveEntry.HostOs()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DOS

          public static final int DOS

      See Also:
        Constant Field Values

    - #### PRIMOS

          public static final int PRIMOS

      See Also:
        Constant Field Values

    - #### UNIX

          public static final int UNIX

      See Also:
        Constant Field Values

    - #### AMIGA

          public static final int AMIGA

      See Also:
        Constant Field Values

    - #### MAC_OS

          public static final int MAC_OS

      See Also:
        Constant Field Values

    - #### OS_2

          public static final int OS_2

      See Also:
        Constant Field Values

    - #### APPLE_GS

          public static final int APPLE_GS

      See Also:
        Constant Field Values

    - #### ATARI_ST

          public static final int ATARI_ST

      See Also:
        Constant Field Values

    - #### NEXT

          public static final int NEXT

      See Also:
        Constant Field Values

    - #### VAX_VMS

          public static final int VAX_VMS

      See Also:
        Constant Field Values

    - #### WIN95

          public static final int WIN95

      See Also:
        Constant Field Values

    - #### WIN32

          public static final int WIN32

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ArjArchiveEntry.HostOs

          public ArjArchiveEntry.HostOs()